Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class ConversationPropagation

    java.lang.Object
      org.jboss.seam.core.ConversationPropagation

    @Name(value="org.jboss.seam.core.conversationPropagation")
    @Scope(value=EVENT)
    @BypassInterceptors
    @Install(precedence=0)
    public class ConversationPropagation

extends Object

Overrideable component for extracting the conversation id from a request.

Author:
  Gavin King, Pete Muir, Shane Bryzak

Field Summary
`static String` | `CONVERSATION_NAME_PARAMETER`
`static String` | `CONVERSATION_PROPAGATION_PARAMETER`

Constructor Summary
`ConversationPropagation()`

Method Summary
`String` | `getConversationId()`
`String` | `getConversationName()`
`String` | `getPageflow()`
`String` | `getParentConversationId()`
`PropagationType` | `getPropagationType()`
`static String` | `getRequestParameterValue(Map parameters, String parameterName)` Retrieve a parameter value from the request
`static ConversationPropagation` | `instance()`
`boolean` | `isValidateLongRunningConversation()` Specifies that a redirect will occur if there is no conversation found on the server.
`void` | `restoreConversationId(Map parameters)` Initialize the request conversation id, taking into account conversation propagation style, and any conversation id passed as a request parameter or in the PAGE context.
`void` | `setConversationId(String conversationId)`
`void` | `setParentConversationId(String parentConversationId)`
`void` | `setPropagationType(PropagationType propagationType)`
`void` | `setValidateLongRunningConversation(boolean validateLongRunningConversation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERSATION_NAME_PARAMETER

    public static final String CONVERSATION_NAME_PARAMETER

See Also:
  Constant Field Values

### CONVERSATION_PROPAGATION_PARAMETER

    public static final String CONVERSATION_PROPAGATION_PARAMETER

See Also:
  Constant Field Values

Constructor Detail

### ConversationPropagation

    public ConversationPropagation()

Method Detail

### restoreConversationId

    public void restoreConversationId(Map parameters)

  Initialize the request conversation id, taking into account conversation propagation style, and any conversation id passed as a request parameter or in the PAGE context.

  Parameters:
    `parameters` - the request parameters

### getRequestParameterValue

    public static String getRequestParameterValue(Map parameters,
                                                  String parameterName)

  Retrieve a parameter value from the request

  Parameters:
    `parameters` - the request parameters
    `parameterName` - the name of the parameter to retrieve
  Returns:
    the parameter value or null if not in the map

### getConversationId

    public String getConversationId()

  Returns:
    the id of the current conversation

### setConversationId

    public void setConversationId(String conversationId)

### getParentConversationId

    public String getParentConversationId()

  Returns:
    the id of the parent of the current conversation

### setParentConversationId

    public void setParentConversationId(String parentConversationId)

### isValidateLongRunningConversation

    public boolean isValidateLongRunningConversation()

  Specifies that a redirect will occur if there is no conversation found on the server.

### setValidateLongRunningConversation

    public void setValidateLongRunningConversation(boolean validateLongRunningConversation)

### instance

    public static ConversationPropagation instance()

### getPropagationType

    public PropagationType getPropagationType()

  Returns:
    the conversation propagation type specified in the request

### setPropagationType

    public void setPropagationType(PropagationType propagationType)

### getPageflow

    public String getPageflow()

### getConversationName

    public String getConversationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.